Loading...
Searching...
No Matches
Ogre::OctreeSceneManagerFactory Class Reference
Plugins » OctreeSceneManager

Factory for OctreeSceneManager. More...

`#include <OgreOctreeSceneManager.h>`

Inheritance diagram for Ogre::OctreeSceneManagerFactory:
[legend]

## Public Member Functions

SceneManager * | createInstance (const String &instanceName) override
| Create a new instance of a SceneManager.
const String & | getTypeName (void) const override
| Get the SceneManager type created by this factory.
Public Member Functions inherited from Ogre::SceneManagerFactory
virtual | ~SceneManagerFactory ()
virtual void | destroyInstance (SceneManager *instance)
| Destroy an instance of a SceneManager.

## Static Public Attributes

static const String | FACTORY_TYPE_NAME
| Factory type name.

## Detailed Description

Factory for OctreeSceneManager.

## Member Function Documentation

## createInstance()

SceneManager * Ogre::OctreeSceneManagerFactory::createInstance | ( | const String & | instanceName | ) |

override virtual

Create a new instance of a SceneManager.

Don't call directly, use SceneManagerEnumerator::createSceneManager.

Implements Ogre::SceneManagerFactory.

## getTypeName()

const String & Ogre::OctreeSceneManagerFactory::getTypeName | ( | void |  | ) | const

inline override virtual

Get the SceneManager type created by this factory.

Implements Ogre::SceneManagerFactory.

References FACTORY_TYPE_NAME.

## Member Data Documentation

## FACTORY_TYPE_NAME

const String Ogre::OctreeSceneManagerFactory::FACTORY_TYPE_NAME

static

Factory type name.

Referenced by getTypeName().

The documentation for this class was generated from the following file:

- OgreOctreeSceneManager.h